#
# spec file for package regionServiceClientConfigGCE
# this code base is under development
#
# Copyright (c) 2017 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           regionServiceClientConfigGCE
VCS: https://src.suse.de/ALP-pool/regionServiceClientConfigGCE#0402867a74a63050eaafb3c6dbd06ccf2b52e9ad
Version:        4.2.0
Release:        1.1
License:        Apache-2.0
Summary:        Configuration for region service client
URL:            https://gitlab.suse.de/public-cloud-team/regionServiceClientConfigGCE
Group:          Productivity/Networking/Web/Servers
Source0:        %{name}-%{version}.tar.bz2
# No IPv6 support in SLE 12 in Public Cloud
# Patch maintained in the build service only
Patch0:         noipv6.patch
Provides:       cloud-regionsrv-client-config
Provides:       regionsrv-certs
Provides:       regionServiceCertsGCE
%if 0%{?suse_version} > 1320
Requires:       python3-gcemetadata >= 0.3.2
%else
Requires:       python-gcemetadata >= 0.3.2
%endif
Recommends:     cloud-regionsrv-client-plugin-gce >= 1.0.0
Conflicts:      otherproviders(cloud-regionsrv-client-config)
Conflicts:      otherproviders(regionsrv-certs)
Obsoletes:      regionServiceClientConfigSAPGCE < 3.0.0
Provides:       regionServiceClientConfigSAPGCE = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

%description
Configuration for the client registration in Google Compute Engine and
regions server certificates

%prep
%setup -q
%if 0%{?suse_version} == 1315
%patch -P 0
rm usr/lib/regionService/certs/2600:1900:4000:d8ab:0:0:0:0.pem
rm usr/lib/regionService/certs/2600:1900:4030:9690:0:0:0:0.pem
rm usr/lib/regionService/certs/2600:1900:4010:bebd:0:0:0:0.pem
rm usr/lib/regionService/certs/2600:1900:4050:756c:0:0:0:0.pem
%endif

%build

%install
%make_install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE
%config %{_sysconfdir}/regionserverclnt.cfg
%dir /usr/lib/regionService
%dir /usr/lib/regionService/certs
/usr/lib/regionService/certs/35.187.193.56.pem
/usr/lib/regionService/certs/130.211.88.88.pem
/usr/lib/regionService/certs/130.211.242.136.pem
/usr/lib/regionService/certs/162.222.182.90.pem
%if 0%{?suse_version} > 1315
/usr/lib/regionService/certs/2600:1900:4000:d8ab:0:0:0:0.pem
/usr/lib/regionService/certs/2600:1900:4030:9690:0:0:0:0.pem
/usr/lib/regionService/certs/2600:1900:4010:bebd:0:0:0:0.pem
/usr/lib/regionService/certs/2600:1900:4050:756c:0:0:0:0.pem
%endif

%changelog
* Sun Jul 28 2024 rjschwei@suse.com
- Version 4.2.0 (jsc#PCT-361)
  + Add IPv6 certs to supprt access of the update infrastructure via
    IPv6 on GCE instances.
* Thu May  9 2024 jesus.bv@suse.com
- Update to version 4.1.0 (bsc#1217538)
  + Replace 162.222.182.90 and 35.187.193.56 (length 4096):
    rgnsrv-gce-asia-northeast1 -> 162.222.182.90 expires in 9 years
    rgnsrv-gce-us-central1 -> 35.187.193.56 expires in 10 years
* Tue Nov 28 2023 jesus.bv@suse.com
- Update to version 4.0.1 (bsc#1217538)
  + Replace 130.211.242.136.pem and 130.211.88.88.pem certs
    expiring in 8 years and new length of 4096
    These certs will replace the current certs that
    expire soon
* Wed May 18 2022 rjschwei@suse.com
- Update to version 4.0.0 (bsc#1199668)
  + Move the cert location to /usr for compatibility with ro setup of
    SLE-Micro
  + Fix url in spec file to pint to the proper location of the source
* Thu Aug  6 2020 rjschwei@suse.com
- Update to version 3.0.1 (bsc#1174791, bsc#1174937)
  + New configuration to switch to https only outgoing traffic
* Fri May  8 2020 rjschwei@suse.com
- Update to version 3.0.0 (bsc#1171467, bsc#1171469)
  + Unify the configuration between SLES and SLES For SAP
* Sat Dec  9 2017 rjschwei@suse.com
- Fix dependency for SLE 15 (bsc#1071292)
* Wed Aug 23 2017 rjschwei@suse.com
- Update to version 2.1.2 (bsc#1053695, bsc#1053696)
  + Configure the client to send license verification data to the SMT server
* Tue Dec 15 2015 rjschwei@suse.com
- Bump to version 2.1.1 (bsc#959244)
  + Point to the proper region servers
* Fri Oct 10 2014 rschweikert@suse.com
- Enable use of plugin to send region hints to region server
* Fri Sep 26 2014 rschweikert@suse.com
- Bump to version 2.0.1
  + fix spec file file list
* Fri Sep 26 2014 rschweikert@suse.com
- New certificate for new region servers
* Mon May 12 2014 rschweikert@suse.com
- Re-add previously removed provide, need all 3
* Mon May 12 2014 rschweikert@suse.com
- Fix provides, package also provides the region server certs
* Mon May  5 2014 rschweikert@suse.com
- Properly handle licensing, use Apache v2
* Wed Apr 23 2014 rschweikert@suse.com
- Fix license string
* Tue Apr 22 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #316168)
* Tue Apr 22 2014 rschweikert@suse.com
- Initial build
